hdf_destroy(3)

NAME
hdf_destroy - deallocate an HDF data set

SYNOPSIS
#include <util/neo_hdf.h> void hdf_destroy (HDF **hdf);

ARGUMENTS
hdf - pointer to an HDF data set allocated with hdf_init

DESCRIPTION
hdf_destroy is used to deallocate all memory associated with an hdf data set. Although you can pass an HDF node as an argument to this function, you are likely to cause a segfault if you continue to access the data set. In the future, we may restrict hdf_destroy so it only works on the top level node.

RETURN VALUE
None

SEE ALSO
hdf_set_symlink(3), hdf_get_valuef(3), compareFunc)(3), hdf_dump_str(3), hdf_get_int_value(3), hdf_read_string_ignore(3), hdf_copy(3), hdf_get_node(3), hdf_set_value(3), hdf_obj_child(3), hdf_read_string(3), hdf_set_buf(3), hdf_register_fileload(3), hdf_get_obj(3), hdf_get_attr(3), hdf_obj_top(3), hdf_dump_format(3), hdf_destroy(3), hdf_init(3), hdf_obj_value(3), hdf_write_string(3), hdf_set_valuevf(3), hdf_sort_obj(3), hdf_write_file_atomic(3), hdf_obj_attr(3), hdf_set_valuef(3), hdf_get_copy(3), hdf_write_file(3), hdf_get_valuevf(3), hdf_set_int_value(3), hdf_dump(3), hdf_get_value(3), hdf_set_copy(3), hdf_obj_next(3), hdf_search_path(3), hdf_obj_name(3), hdf_set_attr(3), hdf_get_child(3), hdf_remove_tree